function [data] = FM0SymbolDemap(s_clk,pay_start,nSymbs)
%   This function demaps the data symbols in the recovered BPSK clock signal
%   Inputs:
%       s_clk - previously recovered clock signal
%       pay_start - starting position of payload data
%       nSymbs - expected number of symbols
%   Outputs:
%       data - decoded binary data
%   Author: Alirio Boaventura

    N = length(s_clk);
    m = 1;
    data = zeros(1,nSymbs);
    for n = pay_start:2:pay_start+2*(nSymbs-1)
        if(n >= N)
            break;
        end
        data(m) = ~((IsPositive(s_clk(n)) && ~IsPositive(s_clk(n+1)))...
                || (~IsPositive(s_clk(n)) && IsPositive(s_clk(n+1))));
        m = m+1;
    end
end

